## plug-dmo 1.4.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.12.0)

project(plug VERSION 1.4.2)
message(STATUS "~~~ ${PROJECT_NAME} v${PROJECT_VERSION} ~~~")

set(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake")
option(UNITTEST "Build Unit Tests" ON)
message(STATUS "Unit Tests : ${UNITTEST}")

option(INTEGRATIONTEST "Build Integrationtests" OFF)
message(STATUS "Integrationtests : ${INTEGRATIONTEST}")

option(COVERAGE "Enable Coverage" OFF)
message(STATUS "Coverage : ${COVERAGE}")

option(LTO "Enable LTO" OFF)
message(STATUS "LTO : ${LTO}")

option(SANITIZER_ASAN "Enable ASan" OFF)
message(STATUS "ASan : ${SANITIZER_ASAN}")

option(SANITIZER_UBSAN "Enable UBSan" OFF)
message(STATUS "UBSan : ${SANITIZER_UBSAN}")


if( CMAKE_BUILD_TYPE )
    message(STATUS "Build Type : ${CMAKE_BUILD_TYPE}")
else()
    message(STATUS "Build Type : None")
endif()


if( LTO )
    include(LTO)
endif()

if( COVERAGE )
    include(Coverage)
endif()

include(Sanitizer)
include(Install)
include(Template)
include(ClangFormat)

add_compile_options(-Wall
                    -Wextra
                    -pedantic
                    -pedantic-errors
                    -Werror
                    -Wshadow
                    -Wold-style-cast
                    -Wnull-dereference
                    -Wnon-virtual-dtor
                    -Woverloaded-virtual
                    )

set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)
set(CMAKE_CXX_EXTENSIONS OFF)

include("${CMAKE_BINARY_DIR}/conan_paths.cmake" OPTIONAL)

## Qt
set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTOUIC ON)
set(CMAKE_AUTORCC ON)
find_package(Qt5 COMPONENTS Core Widgets Gui REQUIRED)

## LibUSB
find_package(libusb-1.0 REQUIRED)


include_directories("include")
add_subdirectory(src)


if( UNITTEST )
    enable_testing()
    add_subdirectory("test")
endif()

if( INTEGRATIONTEST )
    add_subdirectory("test/integration")
endif()

=== src/CMakeLists.txt ===
add_subdirectory(com)
add_subdirectory(ui)

add_executable(plug Main.cpp)
target_link_libraries(plug
                        PRIVATE
                            plug-version
                            plug-ui
                            plug-mustang
                            plug-communication
                            plug-updater
                            build-libs
                            libusb-1.0::libusb-1.0
                        )

install(TARGETS plug EXPORT plug-config DESTINATION bin)

=== test/CMakeLists.txt ===
find_package(GTest REQUIRED)


add_library(TestLibs INTERFACE)
target_link_libraries(TestLibs INTERFACE
                        GTest::GTest
                        GTest::Mock
                        GTest::Main
                        build-libs
                        )

add_subdirectory(mocks)



add_executable(MustangTest
                MustangTest.cpp
                PacketSerializerTest.cpp
                PacketTest.cpp
                )
add_test(MustangTest MustangTest)
target_link_libraries(MustangTest PRIVATE
                        plug-mustang
                        plug-communication
                        TestLibs
                        LibUsbMocks
                        )



add_executable(CommunicationTest
                UsbCommTest.cpp
                ConnectionFactoryTest.cpp
                )
add_test(CommunicationTest CommunicationTest)
target_link_libraries(CommunicationTest PRIVATE
                        plug-communication
                        TestLibs
                        LibUsbMocks
                        )


add_executable(IdLookupTest IdLookupTest.cpp)
add_test(IdLookupTest IdLookupTest)
target_link_libraries(IdLookupTest PRIVATE
                        TestLibs
                        )


add_custom_target(unittest MustangTest
                        COMMAND CommunicationTest
                        COMMAND IdLookupTest

                        COMMENT "Running unittests\n\n"
                        VERBATIM
                        )

=== src/com/CMakeLists.txt ===

add_library(plug-mustang Mustang.cpp PacketSerializer.cpp Packet.cpp)
add_library(plug-communication UsbComm.cpp ConnectionFactory.cpp)
add_library(plug-updater MustangUpdater.cpp)

=== src/ui/CMakeLists.txt ===

add_library(plug-ui amp_advanced.cpp
                    amplifier.cpp
                    defaulteffects.cpp
                    effect.cpp
                    library.cpp
                    loadfromamp.cpp
                    loadfromfile.cpp
                    mainwindow.cpp
                    quickpresets.cpp
                    save_effects.cpp
                    saveonamp.cpp
                    savetofile.cpp
                    settings.cpp
                    )

target_link_libraries(plug-ui
                        PUBLIC
                            Qt5::Widgets
                            Qt5::Gui
                            Qt5::Core
                        )

=== test/integration/CMakeLists.txt ===

add_executable(CommIT Main.cpp)
target_link_libraries(CommIT
                        PRIVATE
                            plug-mustang
                            plug-version
                            plug-communication
                            libusb-1.0::libusb-1.0
                            build-libs
                            )

=== test/mocks/CMakeLists.txt ===
add_library(LibUsbMocks LibUsbMocks.cpp)
target_link_libraries(LibUsbMocks PRIVATE TestLibs)
target_include_directories(LibUsbMocks PRIVATE "${CMAKE_CURRENT_SOURCE_DIR}")

=== debian/changelog ===
plug-dmo (1.4.2-dmo4) unstable; urgency=medium

  * Update upstream URL. It's gitlab not github.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 18 Apr 2021 01:54:19 +0200

plug-dmo (1.4.2-dmo3) unstable; urgency=medium

  * Was plug not grub

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 17 Apr 2021 14:38:58 +0200

plug-dmo (1.4.2-dmo2) unstable; urgency=medium

  * debian/control Remove 'Conflicts: grub' entry

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 17 Apr 2021 14:37:55 +0200

plug-dmo (1.4.2-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 16 Apr 2021 00:21:43 +0200

plug-dmo (1.2.1+hg20160406-dmo2) unstable; urgency=medium

  * Build against qtbase-abi-5-12-5 and/or qtdeclarative-abi-5-12-5.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 23 Oct 2019 09:41:35 +0200

plug-dmo (1.2.1+hg20160406-dmo1) unstable; urgency=medium

  * bitbucket snapshot with Qt5 support.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 10 Sep 2017 11:44:31 +0200

plug-dmo (1.2.1-dmo2) unstable; urgency=medium

  * Rebuild with PIE

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 05 Mar 2017 15:38:31 +0100

plug-dmo (1.2.1-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 11 Dec 2015 09:01:57 +0100

plug-dmo (1.1+20121013-dmo2) unstable; urgency=low

  * Simplify udev rules file and update idProduct number.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 02 Aug 2013 10:36:07 +0200

plug-dmo (1.1+20121013-dmo1) unstable; urgency=low

  * Forgot the 1 after -dmo

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 17 Oct 2012 15:49:52 +0200

plug-dmo (1.1+20121013-dmo) unstable; urgency=low

  * Fix firmware update for Mustang III, IV and V.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 17 Oct 2012 14:47:29 +0200

plug (1.1-dmo1) unstable; urgency=low

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 16 May 2012 08:31:35 +0200

plug (1.0+20120426-dmo1) unstable; urgency=low

  * New bug fix release for 1.8 firmware.

 -- Christian Marillat <marillat@debian.org>  Thu, 26 Apr 2012 07:27:52 +0200

plug (1.0-0.0) unstable; urgency=low

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Thu, 25 Aug 2011 16:06:06 +0200

plug (0.7-0.2) unstable; urgency=low

  * Added support from upstream to Mustang II, IV et V.

 -- Christian Marillat <marillat@debian.org>  Sun, 24 Apr 2011 09:58:18 +0200

plug (0.7-0.1) unstable; urgency=low

  * New patch (02_include-libusb) to fix KfreeBSD build.

 -- Christian Marillat <marillat@debian.org>  Sat, 16 Apr 2011 11:11:05 +0200

plug (0.7-0.0) unstable; urgency=low

  * New upstrem release.

 -- Christian Marillat <marillat@debian.org>  Wed, 13 Apr 2011 16:07:14 +0200

plug (0.6.1-1) unstable; urgency=low

  * Initial release.

 -- Christian Marillat <marillat@debian.org>  Fri, 01 Apr 2011 16:23:34 +0200

=== debian/control ===
Source: plug-dmo
Section: sound
Priority: optional
Maintainer: Christian Marillat <marillat@deb-multimedia.org>
Bugs: mailto:marillat@deb-multimedia.org
Homepage: https://gitlab.com/offa/plug
Standards-Version: 4.5.1
Build-Depends: debhelper-compat (= 13), libusb-1.0-0-dev, quilt, cmake,
 qtbase5-dev, libgtest-dev, libgmock-dev

Package: mustang-plug
Architecture: any
Replaces: plug
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Control Fender Mustang amplifiers.
 PLUG was originally created as a Linux replacement for Fender FUSE
 software for Fender Mustang guitar amplifier. Its Qt4-based graphical
 interface allows one to control the amplifier and effect stages of
 all Mustang amplifiers from I to V.

Package: plug
Section: oldlibs
Architecture: any
Depends: mustang-plug, ${misc:Depends}
Description: transitional package plug
 This is a transitional package for mustang-plug. It can safely be removed.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with quilt -Scmake

## plug-dmo 1.4.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.12.0)
 
-project(plug VERSION 1.4.2)
+project(plug VERSION 1.4.3)
 message(STATUS "~~~ ${PROJECT_NAME} v${PROJECT_VERSION} ~~~")
 
 set(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake")
@@ -61,14 +61,7 @@
 
 include("${CMAKE_BINARY_DIR}/conan_paths.cmake" OPTIONAL)
 
-## Qt
-set(CMAKE_INCLUDE_CURRENT_DIR ON)
-set(CMAKE_AUTOMOC ON)
-set(CMAKE_AUTOUIC ON)
-set(CMAKE_AUTORCC ON)
 find_package(Qt5 COMPONENTS Core Widgets Gui REQUIRED)
-
-## LibUSB
 find_package(libusb-1.0 REQUIRED)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -8,9 +8,10 @@
                             plug-ui
                             plug-mustang
                             plug-communication
+                            plug-communication-usb
+                            plug-libusb
                             plug-updater
                             build-libs
-                            libusb-1.0::libusb-1.0
                         )
 
 install(TARGETS plug EXPORT plug-config DESTINATION bin)

=== test/CMakeLists.txt ===
--- 
+++ 
@@ -29,12 +29,22 @@
 
 
 add_executable(CommunicationTest
+                ConnectionFactoryTest.cpp
                 UsbCommTest.cpp
-                ConnectionFactoryTest.cpp
                 )
 add_test(CommunicationTest CommunicationTest)
 target_link_libraries(CommunicationTest PRIVATE
                         plug-communication
+                        TestLibs
+                        UsbDeviceMock
+                        )
+
+add_executable(UsbTest
+    UsbTest.cpp
+    )
+add_test(UsbTest UsbTest)
+target_link_libraries(UsbTest PRIVATE
+                        plug-communication-usb
                         TestLibs
                         LibUsbMocks
                         )
@@ -49,6 +59,7 @@
 
 add_custom_target(unittest MustangTest
                         COMMAND CommunicationTest
+                        COMMAND UsbTest
                         COMMAND IdLookupTest
 
                         COMMENT "Running unittests\n\n"

=== src/com/CMakeLists.txt ===

add_library(plug-mustang Mustang.cpp PacketSerializer.cpp Packet.cpp)
add_library(plug-communication
    UsbComm.cpp
    ConnectionFactory.cpp
    )

add_library(plug-communication-usb
    UsbContext.cpp
    UsbException.cpp
    UsbDevice.cpp
    )

add_library(plug-libusb LibUsbCompat.cpp)
target_link_libraries(plug-libusb PUBLIC libusb-1.0::libusb-1.0)

add_library(plug-updater MustangUpdater.cpp)

=== test/integration/CMakeLists.txt ===
--- 
+++ 
@@ -5,7 +5,7 @@
                             plug-mustang
                             plug-version
                             plug-communication
-                            libusb-1.0::libusb-1.0
+                            plug-communication-usb
+                            plug-libusb
                             build-libs
                             )
-

=== debian/changelog ===
plug-dmo (1.4.3-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 29 Jun 2022 19:17:49 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Christian Marillat <marillat@deb-multimedia.org>
 Bugs: mailto:marillat@deb-multimedia.org
 Homepage: https://gitlab.com/offa/plug
-Standards-Version: 4.5.1
+Standards-Version: 4.6.1
 Build-Depends: debhelper-compat (= 13), libusb-1.0-0-dev, quilt, cmake,
  qtbase5-dev, libgtest-dev, libgmock-dev

## plug-dmo 1.4.5

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.12.0)

project(plug VERSION 1.4.5)
message(STATUS "~~~ ${PROJECT_NAME} v${PROJECT_VERSION} ~~~")

list(APPEND CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake")
option(PLUG_UNITTEST "Build Unit Tests" ON)
message(STATUS "Unit Tests : ${PLUG_UNITTEST}")

option(PLUG_COVERAGE "Enable Coverage" OFF)
message(STATUS "Coverage : ${PLUG_COVERAGE}")

option(PLUG_LTO "Enable LTO" OFF)
message(STATUS "LTO : ${PLUG_LTO}")

option(PLUG_SANITIZER_ASAN "Enable ASan" OFF)
message(STATUS "ASan : ${PLUG_SANITIZER_ASAN}")

option(PLUG_SANITIZER_UBSAN "Enable UBSan" OFF)
message(STATUS "UBSan : ${PLUG_SANITIZER_UBSAN}")

include(DeprecatedOptions)


if( CMAKE_BUILD_TYPE )
    message(STATUS "Build Type : ${CMAKE_BUILD_TYPE}")
else()
    message(STATUS "Build Type : None")
endif()

include(GNUInstallDirs)

if( PLUG_LTO )
    include(LTO)
endif()

if( PLUG_COVERAGE )
    include(Coverage)
endif()

include(Sanitizer)
include(Install)
include(Template)
include(ClangFormat)

add_compile_options(-Wall
                    -Wextra
                    -pedantic
                    -pedantic-errors
                    -Werror
                    -Wshadow
                    -Wold-style-cast
                    -Wnull-dereference
                    -Wnon-virtual-dtor
                    -Woverloaded-virtual
                    )

set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)
set(CMAKE_CXX_EXTENSIONS OFF)

find_package(Qt5 COMPONENTS Core Widgets Gui REQUIRED)
find_package(libusb-1.0 REQUIRED)


include_directories("include")
add_subdirectory(src)


if( PLUG_UNITTEST )
    enable_testing()
    add_subdirectory("test")
endif()

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -14,4 +14,4 @@
                             build-libs
                         )
 
-install(TARGETS plug EXPORT plug-config DESTINATION bin)
+install(TARGETS plug EXPORT plug-config DESTINATION ${CMAKE_INSTALL_BINDIR})

=== test/CMakeLists.txt ===
--- 
+++ 
@@ -3,11 +3,9 @@
 
 add_library(TestLibs INTERFACE)
 target_link_libraries(TestLibs INTERFACE
-                        GTest::GTest
-                        GTest::Mock
-                        GTest::Main
-                        build-libs
-                        )
+    GTest::gmock_main
+    build-libs
+    )
 
 add_subdirectory(mocks)
 
@@ -17,6 +15,8 @@
                 MustangTest.cpp
                 PacketSerializerTest.cpp
                 PacketTest.cpp
+                FxSlotTest.cpp
+                DeviceModelTest.cpp
                 )
 add_test(MustangTest MustangTest)
 target_link_libraries(MustangTest PRIVATE
@@ -35,6 +35,7 @@
 add_test(CommunicationTest CommunicationTest)
 target_link_libraries(CommunicationTest PRIVATE
                         plug-communication
+                        plug-mustang
                         TestLibs
                         UsbDeviceMock
                         )

=== src/ui/CMakeLists.txt ===
--- 
+++ 
@@ -1,3 +1,6 @@
+set(CMAKE_AUTOMOC ON)
+set(CMAKE_AUTOUIC ON)
+set(CMAKE_AUTORCC ON)
 
 add_library(plug-ui amp_advanced.cpp
                     amplifier.cpp

=== test/mocks/CMakeLists.txt ===
add_library(LibUsbMocks LibUsbMocks.cpp)
target_link_libraries(LibUsbMocks PRIVATE TestLibs)
target_include_directories(LibUsbMocks PRIVATE "${CMAKE_CURRENT_SOURCE_DIR}")

add_library(UsbDeviceMock UsbDeviceMock.cpp)
target_link_libraries(UsbDeviceMock PRIVATE TestLibs)

if ("${CMAKE_CXX_COMPILER_ID}" STREQUAL "Clang")
    target_compile_options(LibUsbMocks PUBLIC -Wno-gnu-zero-variadic-macro-arguments)
    target_compile_options(UsbDeviceMock PUBLIC -Wno-gnu-zero-variadic-macro-arguments)
endif()

=== debian/changelog ===
plug-dmo (1.4.5-dmo3) unstable; urgency=medium

  * Rebuild for time_t

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 18 Mar 2024 11:15:58 +0100

plug-dmo (1.4.5-dmo2) unstable; urgency=medium

  * Don't package extra udev file.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 08 Jan 2024 18:32:08 +0100

plug-dmo (1.4.5-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 05 Dec 2023 21:05:00 +0100

plug-dmo (1.4.4-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 03 Dec 2023 16:50:30 +0100

=== debian/control ===
--- 
+++ 
@@ -4,9 +4,10 @@
 Maintainer: Christian Marillat <marillat@deb-multimedia.org>
 Bugs: mailto:marillat@deb-multimedia.org
 Homepage: https://gitlab.com/offa/plug
-Standards-Version: 4.6.1
+Rules-Requires-Root: no
+Standards-Version: 4.6.2
 Build-Depends: debhelper-compat (= 13), libusb-1.0-0-dev, quilt, cmake,
- qtbase5-dev, libgtest-dev, libgmock-dev
+ qtbase5-dev, libgtest-dev, libgmock-dev, ninja-build, systemd-dev
 
 Package: mustang-plug
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with quilt -Scmake+ninja

override_dh_auto_configure:
	dh_auto_configure -- \
	-DCMAKE_BUILD_TYPE=RelWithDebInfo

=== debian/watch ===
version=4

https://gitlab.com/offa/plug/-/tags \
.*/plug-v?(\d[\d.]*)@ARCHIVE_EXT@

## plug-dmo 1.5.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.12.0)
 
-project(plug VERSION 1.4.5)
+project(plug VERSION 1.5.0)
 message(STATUS "~~~ ${PROJECT_NAME} v${PROJECT_VERSION} ~~~")
 
 list(APPEND CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake")
@@ -55,11 +55,11 @@
                     -Woverloaded-virtual
                     )
 
-set(CMAKE_CXX_STANDARD 17)
+set(CMAKE_CXX_STANDARD 20)
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
 set(CMAKE_CXX_EXTENSIONS OFF)
 
-find_package(Qt5 COMPONENTS Core Widgets Gui REQUIRED)
+find_package(Qt6 COMPONENTS Core Widgets Gui REQUIRED)
 find_package(libusb-1.0 REQUIRED)

=== src/com/CMakeLists.txt ===
--- 
+++ 
@@ -10,8 +10,10 @@
     UsbException.cpp
     UsbDevice.cpp
     )
+target_link_libraries(plug-communication-usb PRIVATE libusb-1.0::libusb-1.0)
 
 add_library(plug-libusb LibUsbCompat.cpp)
 target_link_libraries(plug-libusb PUBLIC libusb-1.0::libusb-1.0)
 
 add_library(plug-updater MustangUpdater.cpp)
+target_link_libraries(plug-updater PRIVATE libusb-1.0::libusb-1.0)

=== src/ui/CMakeLists.txt ===
--- 
+++ 
@@ -19,7 +19,7 @@
 
 target_link_libraries(plug-ui
                         PUBLIC
-                            Qt5::Widgets
-                            Qt5::Gui
-                            Qt5::Core
+                            Qt6::Widgets
+                            Qt6::Gui
+                            Qt6::Core
                         )

=== debian/changelog ===
plug-dmo (1.5.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 04 Dec 2025 00:13:16 +0100

plug-dmo (1.4.5-dmo3+b1) unstable; urgency=medium

  * Rebuild for PAC/BTI support; no source changes.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 03 Nov 2024 12:01:17 +0100

=== debian/control ===
Source: plug-dmo
Section: sound
Priority: optional
Maintainer: Christian Marillat <marillat@deb-multimedia.org>
Bugs: mailto:marillat@deb-multimedia.org
Homepage: https://gitlab.com/offa/plug
Standards-Version: 4.7.2
Build-Depends: debhelper-compat (= 13), libusb-1.0-0-dev, quilt, cmake,
 libgtest-dev, libgmock-dev, ninja-build, systemd-dev, qt6-base-dev,

Package: mustang-plug
Architecture: any
Replaces: plug,
Depends: ${shlibs:Depends}, ${misc:Depends},
Description: Control Fender Mustang amplifiers.
 PLUG was originally created as a Linux replacement for Fender FUSE
 software for Fender Mustang guitar amplifier. Its Qt5-based graphical
 interface allows one to control the amplifier and effect stages of
 all Mustang amplifiers from I to V.

Package: plug
Section: oldlibs
Architecture: any
Depends: mustang-plug, ${misc:Depends},
Description: transitional package plug
 This is a transitional package for mustang-plug. It can safely be removed.

=== debian/watch ===
Version: 5

Template: GitLab
Dist: https://gitlab.com/offa/plug
